luassert

Lua Assertions Extension

$ luarocks install luassert

Adds a framework that allows registering new assertions without compromising builtin assertion functionality.

Versions

scm-1dev169 days ago47 downloads
1.9.0-1169 days ago442,542 downloads
1.8.0-0174 days ago1,583,829 downloads
1.7.11-0174 days ago165,954 downloads
1.7.10-0174 days ago566,453 downloads
1.7.9-0174 days ago78,618 downloads
1.7.8-0174 days ago2,231 downloads
1.7.7-0174 days ago745 downloads
1.7.6-0174 days ago2,357 downloads
1.7.5-0174 days ago1,486 downloads
1.7.4-0174 days ago1,538 downloads
1.7.3-0174 days ago872 downloads
1.7.2-0174 days ago614 downloads
1.7.1-0174 days ago1,972 downloads
1.7.0-1174 days ago28,138 downloads
1.7.0-0174 days ago72 downloads
1.6-1174 days ago174 downloads
1.5-1174 days ago88 downloads
1.4-1174 days ago67 downloads
1.2-1174 days ago70 downloads
1.0-1174 days ago90 downloads

Dependencies

lua >= 5.1
say >= 1.4.0-1

Dependency for

busted, busted, busted, busted, busted-ffi, busted_resty, bustest, expect-spy, muck, plenary.nvim, plenary.nvim, validate-args

Manifests